### Method

# Qmi MessageNasGetSystemInfoOutput get_nr5g_system_info

since: 1.30

#### Declaration [src]

    gboolean
    qmi_message_nas_get_system_info_output_get_nr5g_system_info (
      QmiMessageNasGetSystemInfoOutput* self,
      gboolean* value_nr5g_system_info_domain_valid,
      QmiNasNetworkServiceDomain* value_nr5g_system_info_domain,
      gboolean* value_nr5g_system_info_service_capability_valid,
      QmiNasNetworkServiceDomain* value_nr5g_system_info_service_capability,
      gboolean* value_nr5g_system_info_roaming_status_valid,
      QmiNasRoamingStatus* value_nr5g_system_info_roaming_status,
      gboolean* value_nr5g_system_info_forbidden_valid,
      gboolean* value_nr5g_system_info_forbidden,
      gboolean* value_nr5g_system_info_lac_valid,
      guint16* value_nr5g_system_info_lac,
      gboolean* value_nr5g_system_info_cid_valid,
      guint32* value_nr5g_system_info_cid,
      gboolean* value_nr5g_system_info_registration_reject_info_valid,
      QmiNasNetworkServiceDomain* value_nr5g_system_info_registration_reject_domain,
      guint8* value_nr5g_system_info_registration_reject_cause,
      gboolean* value_nr5g_system_info_network_id_valid,
      const gchar** value_nr5g_system_info_mcc,
      const gchar** value_nr5g_system_info_mnc,
      gboolean* value_nr5g_system_info_tac_valid,
      guint16* value_nr5g_system_info_tac,
      GError** error
    )

#### Description [src]

Get the ‘NR5G System Info’ field from `self`.

Available since: 1.30

#### Parameters

`value_nr5g_system_info_domain_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_domain`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_nr5g_system_info_service_capability_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_service_capability`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_nr5g_system_info_roaming_status_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_roaming_status`

  Type: `QmiNasRoamingStatus`

  A placeholder for the output `QmiNasRoamingStatus`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_nr5g_system_info_forbidden_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_forbidden`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_lac_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_lac`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_cid_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_cid`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_registration_reject_info_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_registration_reject_domain`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_nr5g_system_info_registration_reject_cause`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_network_id_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_mcc`

  Type: `const gchar**`

  A placeholder for the output constant string, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`value_nr5g_system_info_mnc`

  Type: `const gchar**`

  A placeholder for the output constant string, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`value_nr5g_system_info_tac_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_nr5g_system_info_tac`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.